/**
 * @file
 * Estilos para el componente Card Category
 */

.nexods-card-category {
  display: flex;
  flex-direction: column;
  max-width: 328px;
  margin: 0 auto;
  color: var(--nexo-color-text-default);
  position: relative;
  border: solid 2px var(--nexo-color-secondary);
  padding-bottom: 23px;
  font-size: 26px;
  font-style: normal;
  font-weight: 700;
  line-height: 33px;
  text-decoration: none;
  transition: border-color 0.3s ease;
}

.nexods-card-category__img {
  max-height: 233px;
  display: flex;
  overflow: hidden;
}

.nexods-card-category__img img {
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 1.3s ease;
  transform: scale(1.2);
  aspect-ratio: 3 / 2;
}

.nexods-card-category:hover .nexods-card-category__img img {
  transform: scale(1.05);
}

.nexods-card-category__content {
  padding: 20px 24px;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.nexods-card-category__title {
  margin: 0;
  font-size: 26px;
  font-weight: 700;
  line-height: 33px;
  color: var(--nexo-color-text-default);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.nexods-card-category__teaser {
  margin: 8px 0 0;
  font-size: 18px;
  line-height: 23px;
  font-weight: 300;
  color: var(--nexo-color-text-default);
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.nexods-card-category .nexods-button {
  position: absolute;
  bottom: -2px;
  right: 0;
  color: black !important;
  width: 50px;
  height: 50px;
}

.nexods-card-category .nexods-button.nexods-button--neutral:hover {
  background-color: unset !important;
  color: black !important;
}


.nexods-card-category .nexods-button svg {
  width: 32px;
  height: 32px;
  font-size: 2rem;
  color: black;
}

/* Variante horizontal */
.nexods-card-category.nexods-card-category--horizontal {
  flex-direction: row;
  width: 100%;
  max-width: none;
  padding-bottom: 0;
}

.nexods-card-category.nexods-card-category--horizontal .nexods-card-category__img {
  max-width: 100px;
  max-height: none;
  flex-shrink: 0;
}

.nexods-card-category.nexods-card-category--horizontal .nexods-card-category__content {
  flex: 1;
}

.nexods-card-category.nexods-card-category--horizontal .nexods-card-category__button {
  position: relative;
  bottom: auto;
  right: auto;
  align-self: center;
  padding: 15px;
}

.nexods-card-category.nexods-card-category--horizontal .nexods-card-category__button svg {
  width: 23px;
  height: 23px;
}

/* Responsive */
@media (max-width: 767px) {
  .nexods-card-category {
    max-width: 100%;
  }

  .nexods-card-category__title {
    font-size: 22px;
    line-height: 28px;
  }

  .nexods-card-category__teaser {
    font-size: 16px;
    line-height: 20px;
  }
}